| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParameterString_t Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Qos Module

`#include <ParameterTypes.hpp>`

Inheritance diagram for ParameterString_t:
[legend]

## Public Member Functions

| ParameterString_t ()
| Constructor without parameters.
| ParameterString_t (ParameterId_t pid, uint16_t in_length)
| Constructor using a parameter PID and the parameter length.
| ParameterString_t (ParameterId_t pid, uint16_t in_length, const fastcdr::string_255 &strin)
| Constructor using a parameter PID, the parameter length and a string.
const char * | getName () const
| Getter for the name.
void | setName (const char *name)
| Setter for the name.
size_t | size () const
| Getter for the name size.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const

## Additional Inherited Members

Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.

## Constructor & Destructor Documentation

## ◆ ParameterString_t() [1/3]

ParameterString_t | ( |  | ) |

inline

Constructor without parameters.

## ◆ ParameterString_t() [2/3]

ParameterString_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length )

inline

Constructor using a parameter PID and the parameter length.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length

## ◆ ParameterString_t() [3/3]

ParameterString_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length,
|  | const fastcdr::string_255 & | strin )

inline

Constructor using a parameter PID, the parameter length and a string.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length
  strin | Parameter name

## Member Function Documentation

## ◆ getName()

const char * getName | ( |  | ) | const

inline

Getter for the name.

Returns
  current name associated

## ◆ setName()

void setName | ( | const char * | name | ) |

inline

Setter for the name.

Parameters

  name | String to be set

## ◆ size()

size_t size | ( |  | ) | const

inline

Getter for the name size.

Returns
  size_t

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp